﻿using System;
using System.Collections.Generic;
using Wisej.Web;

namespace WisejTestApplication1
{
	public partial class ChartTestForm:Form
	{
		public ChartTestForm()
		{
			InitializeComponent();
			IsDataBinding=false;
		}

		private void ctlButtonLabelList_Click(object sender,EventArgs e)
		{
			chartJS1.Labels=null;
			string []oStringlist=ctlTextboxLabel.Text.Split(';');
			if(oStringlist.Length<=0)
			{
				return;
			}
			chartJS1.Labels=oStringlist;
			chartJS1.Update();
		}

		private void ctlButtonValue_Click(object sender,EventArgs e)
		{
			chartJS1.DataSets.Clear();
			//chartJS1.Update();
			//chartJS1.UpdateData();
			string []oStringlist=ctlTextboxValue.Text.Split(';');
			if(oStringlist.Length<=0)
			{
				return;
			}
			Wisej.Web.Ext.ChartJS.DataSet oDataset=new Wisej.Web.Ext.ChartJS.DataSet();
			oDataset.Label="Werteliste mit Anzahl:"+oStringlist.Length.ToString();
			oDataset.Data = GetData();
			chartJS1.DataSets.Add(oDataset);
			chartJS1.UpdateData();
		}

		private int[] GetData()
		{
			string[] oStringlist = ctlTextboxValue.Text.Split(';');
			int[] data = new int[oStringlist.Length];
			for (int i = 0; i < oStringlist.Length; i++)
				data[i] = int.Parse(oStringlist[i]);

			return data;
		}

		private bool IsDataBinding { get;set;}
		private void ChartTestForm_Load(object sender,EventArgs e)
		{
			IsDataBinding=true;
			ctlComboboxCharttype.DataSource=Enum.GetValues(typeof(Wisej.Web.Ext.ChartJS.ChartType));
			IsDataBinding=false;
		}

		private void ctlComboboxCharttype_SelectedIndexChanged(object sender,EventArgs e)
		{
			if(IsDataBinding)
			{
				return;
			}
			Wisej.Web.Ext.ChartJS.ChartType oSelectedtype=(Wisej.Web.Ext.ChartJS.ChartType)ctlComboboxCharttype.SelectedItem;
			chartJS1.ChartType=oSelectedtype;

			// set the data again, workaround for bug WJ-7950: The ChartJS component clears the data points when switching chart type.
			chartJS1.DataSets[0].Data = GetData();
		}

		private void ctlButtonUpdateChart_Click(object sender,EventArgs e)
		{
			chartJS1.UpdateData();
			chartJS1.Update();
		}
	}
}
